Skip to content
Search
Search the documentation
UpdateProjectCommandsBodySchema
GitHub GitHub

UpdateProjectCommandsBodySchema

Variable: UpdateProjectCommandsBodySchema

const UpdateProjectCommandsBodySchema: ZodMiniArray<ZodMiniObject<{ default_member_permissions: ZodMiniOptional<ZodMiniNullable<ZodMiniString<string>>>; description: ZodMiniOptional<ZodMiniString<string>>; dm_permission: ZodMiniOptional<ZodMiniNullable<ZodMiniBoolean<boolean>>>; name: ZodMiniString<string>; nsfw: ZodMiniOptional<ZodMiniBoolean<boolean>>; options: ZodMiniOptional<ZodMiniArray<ZodMiniUnknown>>; type: ZodMiniOptional<ZodMiniNumber<number>>; }, $loose>>

Defined in: v1/schemas/projects.ts:388

Request body for overwriting the authenticated Discord bot project’s slash commands. Only applicable to projects with platform: "discord" and type: "bot". Pass an empty array to clear all commands.

  • PUT /v1/projects/@me/commands

See

https://docs.top.gg/api/v1/projects#put-projectsmecommands